Name:		jama
Summary:	A Java Matrix Package
Version:	1.0.3
Release:	%mkrel 1
License:	Public Domain
Group:		Development/Java
URL:		https://math.nist.gov/javanumerics/jama/
Source:		https://math.nist.gov/javanumerics/jama/Jama-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	java-devel
BuildRequires:	ant
BuildRequires:	jpackage-utils

%description
JAMA is a basic linear algebra package for Java. It provides user-level
classes for constructing and manipulating real, dense matrices. It is
meant to provide sufficient functionality for routine problems, packaged
in a way that is natural and understandable to non-experts.

%package javadoc
Summary:	Javadoc for %{name}
Group:		Development/Java

%description javadoc
Javadoc for %{name}.

%prep
%setup -q -c jama
find Jama -name '*.class' -exec rm -f {} \;

%{__mkdir} build

%{__cat} > build.xml <<EOF
<project name="Jama" basedir="." default="build-jar">
        <target name="build-jar">
                <javac srcdir="Jama" destdir="build" />
                <jar basedir="build" destfile="%{name}-%{version}.jar">
                        <fileset dir="build" includes="*/*.*"/>
                </jar>
        </target>
</project>
EOF

%{__cat} > LICENSE <<EOF
Downloaded from http://math.nist.gov/javanumerics/jama/Jama-%{version}.tar.gz
No license info in the archive, but we can read this on their website :

Copyright Notice  This software is a cooperative product of The
MathWorks and the National Institute of Standards and Technology (NIST)
which has been released to the public domain. Neither The MathWorks
nor NIST assumes any responsibility whatsoever for its use by other
parties, and makes no guarantees, expressed or implied, about its
quality, reliability, or any other characteristic.  
EOF

%build
%ant

%install
%{__install} -d %{buildroot}%{_javadir}
%{__install} -m 644 %{name}-%{version}.jar %{buildroot}%{_javadir}
ln -s %{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

%{__install} -d %{buildroot}%{_javadocdir}
%{__cp} -a Jama/doc %{buildroot}%{_javadocdir}/%{name}-%{version}


%files
%doc LICENSE Jama/ChangeLog Jama/examples/MagicSquareExample.java
%{_javadir}/%{name}-%{version}.jar
%{_javadir}/%{name}.jar

%files javadoc
%{_javadocdir}/%{name}-%{version}


%changelog
* Tue Dec 03 2024 daviddavid <daviddavid> 1.0.3-1.mga10
+ Revision: 2120783
- new version: 1.0.3

* Fri Nov 04 2022 umeabot <umeabot> 1.0.2-13.mga9
+ Revision: 1903278
- Mageia 9 Mass Rebuild
+ pterjan <pterjan>
- Remove usage of obsolete macros (https://github.com/rpm-software-management/rpm/issues/1211)

* Tue Feb 11 2020 umeabot <umeabot> 1.0.2-12.mga8
+ Revision: 1490939
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 1.0.2-11.mga7
+ Revision: 1262707
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 1.0.2-10.mga6
+ Revision: 950454
- Mageia 6 Mass Rebuild

* Fri Oct 31 2014 pterjan <pterjan> 1.0.2-9.mga5
+ Revision: 794886
- Drop no longer needed BuildRequires on java-rpmbuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.2-8.mga5
+ Revision: 749852
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.2-7.mga5
+ Revision: 680621
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0.2-6.mga4
+ Revision: 506173
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.0.2-5.mga3
+ Revision: 354726
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 11 2011 dmorgan <dmorgan> 1.0.2-4.mga1
+ Revision: 97107
- imported package jama


* Fri Sep 04 2009 Thierry Vignaud <tvignaud@mandriva.com> 1.0.2-4mdv2010.0
+ Revision: 429591
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.0.2-3mdv2009.0
+ Revision: 247381
- rebuild

* Thu Feb 14 2008 Nicolas Vigier <nvigier@mandriva.com> 1.0.2-1mdv2008.1
+ Revision: 167765
- import jama


